    function x=mu_law(y,Xmax,mu)
    % function to convert from linear to mu-law
    %
    % Inputs:
    %   y: input signal in range -1 to +1
    %   Xmax: maximum of input signal (1)
    %   mu: value of mu for mu-law compression
    %
    % Output:
    %   x: output signal in range -1 to +1
    
    % invert from y to x
        x=((exp(log(1+mu)*abs(y)/Xmax)-1)*Xmax/mu)*sign(y);
        x=x*sign(y);
    end